Module ij
Package ij.gui

# Class Line.PointIterator

java.lang.Object
ij.gui.Line.PointIterator

All Implemented Interfaces:
  `Iterator<Point>`

Enclosing class:
  `Line`

public static class Line.PointIterator extends Object implements Iterator<Point>
Dedicated point iterator for thin lines. The iterator is based on (an improved version of) the algorithm used by the original method `ImageProcessor.getLine(double, double, double, double)`. Improvements are (a) that the endpoint is drawn too and (b) every line point is visited only once, duplicates are skipped. Author: Wilhelm Burger (04/2017)

## Constructor Summary

Constructors
Constructor
Description
`PointIterator(double x1, double y1, double x2, double y2)`
`PointIterator(Line line)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`Point`
`next()`
`void`
`remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### PointIterator

public PointIterator(Line line)

### PointIterator

public PointIterator(double x1, double y1, double x2, double y2)

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<Point>`

### next

public Point next()

Specified by:
  `next` in interface `Iterator<Point>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<Point>`